Autore Topic: (Falsa?) Notifica di aggiornamenti  (Letto 2662 volte)

Offline rondey

  • *
  • Post: 60
  • Reputazione: 1
    • Mostra profilo
(Falsa?) Notifica di aggiornamenti
« il: 02 Novembre 2012 ore 12:27 »
Salve a tutti. Oggi all'avvio del sistema è arrivata la notifica di 3 aggiornamenti(una di queste era dbus-core).
Apro il terminale ed eseguo il comando d'aggiornamento
Codice: [Seleziona]
sudo pacman -Syu
:: Sincronizzazione dei database in corso...
 lib32 è aggiornato                                                 0,0   B  0,00B/s 00:00 [c o  o  o  o  o  o  o  o  o  o  o  o  o  o  o  o  o  ]   0%
 core è aggiornato
 platform è aggiornato                                              0,0   B  0,00B/s 00:00 [c o  o  o  o  o  o  o  o  o  o  o  o  o  o  o  o  o  ]   0%
 desktop è aggiornato
 apps è aggiornato
 games è aggiornato                                                 0,0   B  0,00B/s 00:00 [c o  o  o  o  o  o  o  o  o  o  o  o  o  o  o  o  o  ]   0%
:: Aggiornamento del sistema in corso...
 non ci sono aggiornamenti disponibili

Chi sta mentendo? Il sistema di notifiche o pacman?

Offline andreazube

  • *
  • Post: 1595
  • Reputazione: 64
  • I AM THE INTERSECT
    • Mostra profilo
    • Lupo mannaro
Re:(Falsa?) Notifica di aggiornamenti
« Risposta #1 il: 02 Novembre 2012 ore 13:37 »
Salve a tutti. Oggi all'avvio del sistema è arrivata la notifica di 3 aggiornamenti(una di queste era dbus-core).
Apro il terminale ed eseguo il comando d'aggiornamento
Codice: [Seleziona]
sudo pacman -Syu
:: Sincronizzazione dei database in corso...
 lib32 è aggiornato                                                 0,0   B  0,00B/s 00:00 [c o  o  o  o  o  o  o  o  o  o  o  o  o  o  o  o  o  ]   0%
 core è aggiornato
 platform è aggiornato                                              0,0   B  0,00B/s 00:00 [c o  o  o  o  o  o  o  o  o  o  o  o  o  o  o  o  o  ]   0%
 desktop è aggiornato
 apps è aggiornato
 games è aggiornato                                                 0,0   B  0,00B/s 00:00 [c o  o  o  o  o  o  o  o  o  o  o  o  o  o  o  o  o  ]   0%
:: Aggiornamento del sistema in corso...
 non ci sono aggiornamenti disponibili

Chi sta mentendo? Il sistema di notifiche o pacman?
Sembra un problema di internet il " 0,00B/s"
Comunque dai
Codice: [Seleziona]
sudo pacman -Syyu

Offline fabio58

  • *
  • Post: 414
  • Reputazione: 10
    • Mostra profilo
Re:(Falsa?) Notifica di aggiornamenti
« Risposta #2 il: 02 Novembre 2012 ore 14:28 »
Sembra un problema di internet il " 0,00B/s"
Comunque dai
Codice: [Seleziona]
sudo pacman -Syyu
Ti consiglio di aspettare qualche ora in quanto pure io riscontro lo stesso problema (magari staranno aggiornarno o sistemando alcune cose) e penso non centra nulla la connessione ad internet in quanto sono perfettamente collegato.
Codice: [Seleziona]
[root@chakra-pc /]# pacman -Syu
:: Sincronizzazione dei database in corso...
 lib32 è aggiornato              0,0   B  0,00B/s 00:00 [------------------------------]   0%
 core è aggiornato
 platform è aggiornato           0,0   B  0,00B/s 00:00 [------------------------------]   0%
 desktop è aggiornato
 apps è aggiornato
 games è aggiornato              0,0   B  0,00B/s 00:00 [------------------------------]   0%
:: Aggiornamento del sistema in corso...
 non ci sono aggiornamenti disponibili
« Ultima modifica: 02 Novembre 2012 ore 14:30 da fabio58 »

Offline rondey

  • *
  • Post: 60
  • Reputazione: 1
    • Mostra profilo
Re:(Falsa?) Notifica di aggiornamenti
« Risposta #3 il: 02 Novembre 2012 ore 20:00 »
Ho ridato il comando. Adesso mi dice che c'è solo wine da aggiornare:
Codice: [Seleziona]
:: Sincronizzazione dei database in corso...
 lib32                                                             29,7 KiB   182K/s 00:00 [-----------------------------------------------------] 100%
 core è aggiornato
 platform è aggiornato
 desktop è aggiornato
 apps è aggiornato
 games è aggiornato
:: Aggiornamento del sistema in corso...
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...

Pacchetti (1): wine-1.5.16-1

Pare avesse ragione fabio58 alla fine.
Vi ringrazio per la pronta risposta.
« Ultima modifica: 02 Novembre 2012 ore 20:03 da rondey »

Offline fabio58

  • *
  • Post: 414
  • Reputazione: 10
    • Mostra profilo
Re:(Falsa?) Notifica di aggiornamenti
« Risposta #4 il: 03 Novembre 2012 ore 07:45 »
continuo lo stesso post visto l'argomento simile. Ieri  mattina avevo questo avviso al momento di lanciare un aggiornamento:
Codice: [Seleziona]
[root@chakra-pc /]# pacman -Syu
:: Sincronizzazione dei database in corso...
 lib32 è aggiornato              0,0   B  0,00B/s 00:00 [------------------------------]   0%
 core è aggiornato
 platform è aggiornato           0,0   B  0,00B/s 00:00 [------------------------------]   0%
 desktop è aggiornato
 apps è aggiornato
 games è aggiornato              0,0   B  0,00B/s 00:00 [------------------------------]   0%
:: Aggiornamento del sistema in corso...
 non ci sono aggiornamenti disponibili
mentre da ieri sera e sino a pochi minuti fa, dopo aver ricevuto un avviso per 23 aggiornamenti, riscontro questo problema:
Codice: [Seleziona]
[root@chakra-pc /]# pacman -Syu
:: Sincronizzazione dei database in corso...
errore: impossibile scaricare il pacchetto 'lib32.db' da ftp.sh.cvut.cz : Failed to connect to 2001:718:2::222: La rete non è raggiungibile
 lib32 è aggiornato
errore: impossibile scaricare il pacchetto 'core.db' da ftp.sh.cvut.cz : Failed to connect to 2001:718:2::222: La rete non è raggiungibile
 core è aggiornato
errore: impossibile scaricare il pacchetto 'platform.db' da ftp.sh.cvut.cz : Failed to connect to 2001:718:2::222: La rete non è raggiungibile
 platform è aggiornato
errore: impossibile scaricare il pacchetto 'desktop.db' da ftp.sh.cvut.cz : Failed to connect to 2001:718:2::222: La rete non è raggiungibile
 desktop è aggiornato
errore: impossibile scaricare il pacchetto 'apps.db' da ftp.sh.cvut.cz : Failed to connect to 2001:718:2::222: La rete non è raggiungibile
 apps                          124,4 KiB   396K/s 00:00 [##############################] 100%
errore: impossibile scaricare il pacchetto 'games.db' da ftp.sh.cvut.cz : Failed to connect to 2001:718:2::222: La rete non è raggiungibile
 games                          32,5 KiB   188K/s 00:00 [##############################] 100%
:: Aggiornamento del sistema in corso...
:: Vuoi sostituire libdjvu con platform/djvulibre? [S/n]

al che mi fermo. Idee su cosa stia succedendo? capita solo a me? o qualcuno ha lo stesso avviso?

« Ultima modifica: 03 Novembre 2012 ore 07:48 da fabio58 »

Offline rondey

  • *
  • Post: 60
  • Reputazione: 1
    • Mostra profilo
Re:(Falsa?) Notifica di aggiornamenti
« Risposta #5 il: 03 Novembre 2012 ore 08:06 »
anche io stessa situazione, con la differenza che nonostante si visializzino gli errori di impossibilità di scaricare lib32.db, core.db, platform.db e desktop.db, essi vengano regolarmente scaricati.
In ogni caso ho preferito interrompere il processo mentre scaricava la desktop.db .
A questo punto o ci sono effettivamente problemi nei server o siamo di fronte ad un bug di pacman(per me è la seconda).

Offline whoami

  • *
  • Post: 1562
  • Reputazione: 64
  • Quando c'era init i log arrivavano in orario!
    • Mostra profilo
Re:(Falsa?) Notifica di aggiornamenti
« Risposta #6 il: 03 Novembre 2012 ore 09:13 »
non so se il fatto che un mirror sia irraggiungibile possa essere un bug di pacman...

in /etc/pacman.d/mirrorlist c'è un elenco di server a cui pacman si collega per cercare/scaricare pacchetti e aggiornamenti, e lui vede il primo dell'elenco e prova lì, se quasto è irraggiungibile prova con il secondo ecc... che è quello che è capitato a te, quindi prova a editare quel file cercando dei server vicini a te (tipo il garr italiano o francesi o tedeschi) e mettendoli in prima posizione nel file. se cerchi nelle guide ce n'è una interessante http://forum.chakra-project.it/index.php/topic,3393.msg12878.html#msg12878

comunque ripeto quelle scritte sono normali nel senso che ti sta avvertendo che quel mirror è irraggiungibile e provando con un altro riesce a scaricare quello che deve...
echo "VQF AHELME I BI CI WECPF"| tr "ETAOINSHRDLUBCFGJMQPVWZYXK" "A-Z"

Offline andreazube

  • *
  • Post: 1595
  • Reputazione: 64
  • I AM THE INTERSECT
    • Mostra profilo
    • Lupo mannaro
Re:(Falsa?) Notifica di aggiornamenti
« Risposta #7 il: 03 Novembre 2012 ore 09:23 »
Ha ragione whoami,bug non ne vedo.
ti avvisa che non riesce a scaricare,quindi prova da un altro mirror e scarica...perchè hai fermato  ???

@whoami
hai fato un post doppio

Offline rondey

  • *
  • Post: 60
  • Reputazione: 1
    • Mostra profilo
Re:(Falsa?) Notifica di aggiornamenti
« Risposta #8 il: 03 Novembre 2012 ore 09:40 »
Ah ok, pensavo cercasse solo da un un mirror, per questo optavo per il bug(anche se il pensiero di più mirror su cui cercare mi era venuto in mente ma l'ho scartato immediatamente)

perchè hai fermato  ???

Supposto che avesse un bug, poteva magari venire la pazzia a pacman di scaricare dati a casaccio e compromettere il sistema. Ecco questa ammetto che è la cosa più improbabile ma come si dice dalle mie parti "chi si guarda si salva"(traduzione: meglio non rischiare) ;D

Vabbè alla fine preferisco non modificare la mirrorlist, d'altronde il problema al server suppongo sarà solo momentaneo. Tanto se continua a non funzionare pacman è abbastanza intelligente da capire che deve sceglierne un altro dalla lista...
« Ultima modifica: 03 Novembre 2012 ore 09:54 da rondey »

Offline fabio58

  • *
  • Post: 414
  • Reputazione: 10
    • Mostra profilo
Re:(Falsa?) Notifica di aggiornamenti
« Risposta #9 il: 03 Novembre 2012 ore 14:35 »
Ho spostato in basso il server cz che attualmente non funge tanto bene ho aggiornato nonostante ricevevo sempe un avviso di "Impossibile ecc..." e sembra sia andato tutto ok. Visto che continua sempre con la solita solza ho commentato il sudetto server in /etc/pacman.d/mirrorlist.pacsave...poi più avanti quando ritorna a funzionare decommento le due righe

Offline FranzMari

  • *
  • Post: 2812
  • Reputazione: 103
  • [Senior Packager]
    • Mostra profilo
    • IMHO blog
Re:(Falsa?) Notifica di aggiornamenti
« Risposta #10 il: 03 Novembre 2012 ore 15:41 »
Hai provato a forzare la sincronizzazione con
Codice: [Seleziona]
sudo pacman -Syy?
«Il valore dell'essere umano si determina nella misura in cui sia grande o piccola la sua capacità di contribuire al bene collettivo.» Jigorō Kanō

Offline fabio58

  • *
  • Post: 414
  • Reputazione: 10
    • Mostra profilo
Re:(Falsa?) Notifica di aggiornamenti
« Risposta #11 il: 03 Novembre 2012 ore 15:47 »
dopo che è satto aggiornato il tutto se do il comando ottengo questo:
Codice: [Seleziona]
[root@chakra-pc /]# pacman -Syu
:: Sincronizzazione dei database in corso...
 lib32 è aggiornato
 core è aggiornato
 platform è aggiornato
 desktop è aggiornato
 apps è aggiornato
 games è aggiornato
:: Aggiornamento del sistema in corso...
 non ci sono aggiornamenti disponibili
Vale la pena dare adesso questo comando?
Codice: [Seleziona]
pacman -Syyfaccio presente inoltre che ho nuovamente decommentato le righe attinenti il server cz
« Ultima modifica: 03 Novembre 2012 ore 15:51 da fabio58 »

Offline andreazube

  • *
  • Post: 1595
  • Reputazione: 64
  • I AM THE INTERSECT
    • Mostra profilo
    • Lupo mannaro
Re:(Falsa?) Notifica di aggiornamenti
« Risposta #12 il: 03 Novembre 2012 ore 15:55 »
dopo che è satto aggiornato il tutto se do il comando ottengo questo:
Codice: [Seleziona]
[root@chakra-pc /]# pacman -Syu
:: Sincronizzazione dei database in corso...
 lib32 è aggiornato
 core è aggiornato
 platform è aggiornato
 desktop è aggiornato
 apps è aggiornato
 games è aggiornato
:: Aggiornamento del sistema in corso...
 non ci sono aggiornamenti disponibili
Vale la pena dare adesso questo comando?
Codice: [Seleziona]
pacman -Syyfaccio presente inoltre che ho nuovamente decommentato le righe attinenti il server cz
Dallo
Cosi non dirà che "è aggiornato" ma riscaricherà tutto

Offline fabio58

  • *
  • Post: 414
  • Reputazione: 10
    • Mostra profilo
Re:(Falsa?) Notifica di aggiornamenti
« Risposta #13 il: 03 Novembre 2012 ore 16:20 »
Dallo
Cosi non dirà che "è aggiornato" ma riscaricherà tutto
ecco il comando dato ed ecco la risposta:
Codice: [Seleziona]
[root@chakra-pc /]# pacman -Syy
:: Sincronizzazione dei database in corso...
 lib32                          29,7 KiB   360K/s 00:00 [##############################] 100%
 core                           51,3 KiB   509K/s 00:00 [##############################] 100%
 platform                      187,9 KiB   499K/s 00:00 [##############################] 100%
 desktop                        84,3 KiB   429K/s 00:00 [##############################] 100%
 apps                          123,8 KiB   402K/s 00:00 [##############################] 100%
 games                          32,5 KiB   231K/s 00:00 [##############################] 100%
poi ho dato il secondo comando ed ecco la risposta  ;D
Codice: [Seleziona]
[root@chakra-pc /]# pacman -Syu
:: Sincronizzazione dei database in corso...
 lib32 è aggiornato
 core è aggiornato
 platform è aggiornato
 desktop è aggiornato
 apps è aggiornato
 games è aggiornato
:: Aggiornamento del sistema in corso...
attenzione: 2mandvd: la versione installata (1.8.4-4) è più recente di quella presente in apps (1.8.4-3)
attenzione: calibre: la versione installata (0.9.4-2) è più recente di quella presente in apps (0.9.4-1)
attenzione: cups: la versione installata (1.6.1-2) è più recente di quella presente in platform (1.6.1-1)
attenzione: dbus-core: la versione installata (1.6.4-3) è più recente di quella presente in core (1.6.4-2)
attenzione: exif: la versione installata (0.6.21-1) è più recente di quella presente in platform (0.6.19-1)
attenzione: gstreamer0.10-bad: la versione installata (0.10.23-5) è più recente di quella presente in platform (0.10.23-4)
attenzione: gstreamer0.10-bad-plugins: la versione installata (0.10.23-5) è più recente di quella presente in platform (0.10.23-4)
attenzione: kde-workspace: la versione installata (4.9.2-5) è più recente di quella presente in desktop (4.9.2-4)
attenzione: lib32-libgl: la versione installata (8.0.4-1) è più recente di quella presente in lib32 (8.0.3-6)
attenzione: lib32-libglapi: la versione installata (8.0.4-1) è più recente di quella presente in lib32 (8.0.3-6)
attenzione: lib32-mesa: la versione installata (8.0.4-1) è più recente di quella presente in lib32 (8.0.3-6)                                                                             
attenzione: libcups: la versione installata (1.6.1-2) è più recente di quella presente in platform (1.6.1-1)                                                                             
attenzione: libexif: la versione installata (0.6.21-1) è più recente di quella presente in platform (0.6.19-1)                                                                           
attenzione: libkgapi: la versione installata (0.4.3-1) è più recente di quella presente in desktop (0.4.2-1)
attenzione: ppp: la versione installata (2.4.5-4) è più recente di quella presente in core (2.4.5-3)
attenzione: qca: la versione installata (2.0.3-2) è più recente di quella presente in platform (2.0.3-1)
attenzione: qca-ossl: la versione installata (2.0.0-4) è più recente di quella presente in platform (2.0.0-3)
attenzione: rekonq: la versione installata (1.3-1) è più recente di quella presente in apps (1.2-1)
attenzione: rp-pppoe: la versione installata (3.11-1) è più recente di quella presente in core (3.10-6)
attenzione: virtualbox: la versione installata (4.2.4-1) è più recente di quella presente in apps (4.2.2-3)
attenzione: virtualbox-ext-oracle: la versione installata (4.2.4-1) è più recente di quella presente in apps (4.2.2-3)
attenzione: vlc: la versione installata (2.0.4-1) è più recente di quella presente in platform (2.0.3-5)
 non ci sono aggiornamenti disponibili
[root@chakra-pc /]#
quindi mi sa che forse, può darsi, potrebbe essere, ma potrei sbagliare, non sono molto ferrato in materia, che dopo aver aggiornato tutto forse non era necessario dare nuovamente il comando? chi sa?  ??? 

Offline andreazube

  • *
  • Post: 1595
  • Reputazione: 64
  • I AM THE INTERSECT
    • Mostra profilo
    • Lupo mannaro
Re:(Falsa?) Notifica di aggiornamenti
« Risposta #14 il: 03 Novembre 2012 ore 16:26 »
ecco il comando dato ed ecco la risposta:
Codice: [Seleziona]
[root@chakra-pc /]# pacman -Syy
:: Sincronizzazione dei database in corso...
 lib32                          29,7 KiB   360K/s 00:00 [##############################] 100%
 core                           51,3 KiB   509K/s 00:00 [##############################] 100%
 platform                      187,9 KiB   499K/s 00:00 [##############################] 100%
 desktop                        84,3 KiB   429K/s 00:00 [##############################] 100%
 apps                          123,8 KiB   402K/s 00:00 [##############################] 100%
 games                          32,5 KiB   231K/s 00:00 [##############################] 100%
poi ho dato il secondo comando ed ecco la risposta  ;D
Codice: [Seleziona]
[root@chakra-pc /]# pacman -Syu
:: Sincronizzazione dei database in corso...
 lib32 è aggiornato
 core è aggiornato
 platform è aggiornato
 desktop è aggiornato
 apps è aggiornato
 games è aggiornato
:: Aggiornamento del sistema in corso...
attenzione: 2mandvd: la versione installata (1.8.4-4) è più recente di quella presente in apps (1.8.4-3)
attenzione: calibre: la versione installata (0.9.4-2) è più recente di quella presente in apps (0.9.4-1)
attenzione: cups: la versione installata (1.6.1-2) è più recente di quella presente in platform (1.6.1-1)
attenzione: dbus-core: la versione installata (1.6.4-3) è più recente di quella presente in core (1.6.4-2)
attenzione: exif: la versione installata (0.6.21-1) è più recente di quella presente in platform (0.6.19-1)
attenzione: gstreamer0.10-bad: la versione installata (0.10.23-5) è più recente di quella presente in platform (0.10.23-4)
attenzione: gstreamer0.10-bad-plugins: la versione installata (0.10.23-5) è più recente di quella presente in platform (0.10.23-4)
attenzione: kde-workspace: la versione installata (4.9.2-5) è più recente di quella presente in desktop (4.9.2-4)
attenzione: lib32-libgl: la versione installata (8.0.4-1) è più recente di quella presente in lib32 (8.0.3-6)
attenzione: lib32-libglapi: la versione installata (8.0.4-1) è più recente di quella presente in lib32 (8.0.3-6)
attenzione: lib32-mesa: la versione installata (8.0.4-1) è più recente di quella presente in lib32 (8.0.3-6)                                                                             
attenzione: libcups: la versione installata (1.6.1-2) è più recente di quella presente in platform (1.6.1-1)                                                                             
attenzione: libexif: la versione installata (0.6.21-1) è più recente di quella presente in platform (0.6.19-1)                                                                           
attenzione: libkgapi: la versione installata (0.4.3-1) è più recente di quella presente in desktop (0.4.2-1)
attenzione: ppp: la versione installata (2.4.5-4) è più recente di quella presente in core (2.4.5-3)
attenzione: qca: la versione installata (2.0.3-2) è più recente di quella presente in platform (2.0.3-1)
attenzione: qca-ossl: la versione installata (2.0.0-4) è più recente di quella presente in platform (2.0.0-3)
attenzione: rekonq: la versione installata (1.3-1) è più recente di quella presente in apps (1.2-1)
attenzione: rp-pppoe: la versione installata (3.11-1) è più recente di quella presente in core (3.10-6)
attenzione: virtualbox: la versione installata (4.2.4-1) è più recente di quella presente in apps (4.2.2-3)
attenzione: virtualbox-ext-oracle: la versione installata (4.2.4-1) è più recente di quella presente in apps (4.2.2-3)
attenzione: vlc: la versione installata (2.0.4-1) è più recente di quella presente in platform (2.0.3-5)
 non ci sono aggiornamenti disponibili
[root@chakra-pc /]#
quindi mi sa che forse, può darsi, potrebbe essere, ma potrei sbagliare, non sono molto ferrato in materia, che dopo aver aggiornato tutto forse non era necessario dare nuovamente il comando? chi sa?  ???
No.
Il problema è che hai usato un mirror normale e hai aggiornato.Poi,hai tentato di aggiornare con un mirror NON aggiornato.Per il mirron NON aggiornato,quindi,tu sei "avanti" ed ecco l'errore.
È bastato verificare che calibre (per esempio) è alla versione 0.9.2 che tu hai e non la 0.9.1 che il mirror pensa che ci sia
http://chakra-project.org/packages/index.php?act=search&subdir=&sortby=date&order=descending&searchpattern=calibre

 

Template by Homey | Sito ufficiale | Disclaimer